@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;500;700&display=swap');


*,*::before,*::after{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root{
  /* --bagcground-primario: #f1f5f9; */
  --bagcground-primario: #fff;
  --color-primario: #0c6c8e;
  --color-secundary: #29bbef;
}

body{
  background-color: var(--bagcground-primario);
  /* background-image: linear-gradient(-20deg, var(--color-secundary) 0%, var(--color-primario) 100%); */
  font-family: 'Poppins', sans-serif;
  user-select: none;
}
@media (min-width:650px){
  body{
    display: none;
  }
}

h1, h2{
  color: var(--color-primario);
  text-align: center;
  margin: 1rem auto;
}

.header-nav{
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  padding: 1rem 0;
  width: 100vw;
  height: auto;
  background-color: var(--bagcground-primario);
  z-index: 100;
}

.contenedor-principal{
  width: 100%;
  height: 120vh;
  margin: 0 auto;
  overflow: hidden;
  padding: 0 10px;
}

.title{
  font-size: 2.2rem;
  text-align: left;
  line-height: 1.2;
  color: var(--color-primario);
  text-shadow: 3px 3px 9px #d8d8d8;
  margin: 5rem 10px 0 10px ;
  animation: textleft .7s ease-in-out;
  background-color: var(--bagcground-primario);
  position: sticky;
  z-index: 10;
}

.sincompromiso{
  text-align: center;
  margin: .5rem 0 0 .7rem;
  color: white;
  background-color: var(--color-primario);
  padding: .3rem;
  display: block;
  width: 73%;
  border-radius: .4rem;
  font-size: 1.07rem;
  box-shadow: 3px 3px 10px #c4c4c4;
  position: sticky;
  z-index: 1;
}

.animaciontextc{
  animation: textdown .9s ease-in-out;
}

@keyframes textleft{
  0%{transform: translateX(-100%);}
  100%{transform: translateX(0);}
}

@keyframes textdown{
  0%{opacity: 0; transform: translateY(-45px);}
  100%{opacity: 1; transform: translateY(0);}
}

.header-nav .flor{
  width: 35px;
  height: 35px;
}

.header-nav .text-logo{
  width: 150px;
  height: auto;
}

.img-principal{
  display: block;
  width: 80%;
  max-width: 500px;
  margin: 0 auto;
}
.contenedor-img{
  position: relative;
}

.texthidden{
  transform: scale(0);
}

.textos{
  position: absolute;
  background-color: #ffffff;
  width: 130px;
  top: 5rem;
  left: 0;
  padding: .7rem;
  border-radius: 10px;
  font-size: 11px;
  color: var(--color-primario);
  -webkit-box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
  -moz-box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
  box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
}
.animaciontexti{
  animation: estirar .6s ease-in-out;
}

@keyframes estirar{
  0%{transform: scale(0);}
  50%{transform: scale(1.2);}
  100%{transform: scale(1);}
}

.textos-derecha{
  position: absolute;
  background-color: #ffffff;
  width: 130px;
  top: 9rem;
  right: 0;
  padding: .7rem;
  border-radius: 10px;
  font-size: 11px;
  color: var(--color-primario);
  -webkit-box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
  -moz-box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
  box-shadow: 4px 4px 39px -14px rgba(0,0,0,0.75);
}

.animaciontextd{
  animation: bajar .6s ease-in-out;
}


@keyframes bajar{
  0%{transform: scale(0);}
  50%{transform: scale(1.23);}
  100%{transform: scale(1);}
}

.aclaracion{
  text-align: center;
  color: #a1a1a1;
  font-size: 12px;
  margin-bottom: 0;
  margin-top: 1rem;
}

.btn {
  display: block;
  width: 320px;
  height: 55px;
  margin: 0 auto;
  font-family: 'Poppins', sans-serif;
  background: linear-gradient(to top, #28D146, #1ec03c, #28D146);
  color: #fff;
  border-radius: 50px;
  border: none;
  outline: none;
  cursor: pointer;
  position: relative;
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.5);
  overflow: hidden;
  animation: animado 1.5s ease-in-out infinite;
}

.btn span {
  font-size: 21px;
  text-transform: uppercase;
  letter-spacing: 1px;
  transition: top 0.5s;
}

.btn-text-one {
  position: absolute;
  width: 100%;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.btn-text-two {
  position: absolute;
  width: 100%;
  top: 150%;
  left: 0;
  transform: translateY(-50%);
  /* animation: animadotwo 1.5s infinite; */
}

.btn:hover .btn-text-one {
  top: -100%;
}

.btn:hover .btn-text-two {
  top: 50%;
}

@keyframes animado{
  0%{
    transform: scale(1);
  }
  50%{
    transform: scale(0.98);
  }
  100%{
    transform: scale(1);
  }
}

footer{
  text-align: center;
  color: #a1a1a1;
  font-size: 13px;
  margin: 3rem auto 0 auto;
}

footer p{
  color: var(--color-primario);
  margin: 0;
}

footer a{
  text-decoration: none;
  color: var(--color-secundary);
}
